IKEv1 және IKEv2 алдын ала бөлісілген кілтпен: аутентификация неде ерекшеленеді
Екі нұсқа да кілтті жібермей, оны білуін дәлелдейді, бірақ әртүрлі хешке әртүрлі кірістерді салады. Екі ізді салыстырыңыз.
Бірдей алдын ала бөлісілген кілтпен бапталған екі шлюз қол алысуды аяқтайды, ал пакет жазбасы сымнан өтетін ешқандай құпияны көрсетпейді. Бұл — адамдар есте сақтайтын бөлік. Қызықты бөлігі — әр нұсқаның құпияның белгілі екенін дәлелдеу үшін шын мәнінде нені есептейтіні, өйткені IKEv1 мен IKEv2 бұл дәлелді әртүрлі кірістерден құрады және сол кезде әртүрлі ақпаратты ашады. Екі ізді қатар оқыңыз, сонда айырмашылық сыртқы болудан қалады.
Дәлел нені қамтамасыз етуі керек
Diffie-Hellman екі тарапқа ортақ мән береді, оның ашық жартыларын бақылаушы кез келген адам да есептей алады. Өздігінен бұл сәйкестік туралы ештеңе дәлелдемейді: кілт алмасуды аяқтаған шабуылдаушы сіздің шлюзіңізбен бірдей ортақ мәнді иеленеді. Аутентификация қадамы сол алмасуды тек ниет етілген тараптарда болатын құпияға, сондай-ақ олар келіскен сәйкестіктер мен параметрлерге байлау үшін бар.
Дәл осы байланыс хештің кілттен артық нәрсені қамтуының себебі. Егер ол тек құпияны қамтыса, шабуылдаушы оны басқа сәйкестіктермен немесе ұсыныстармен басқа алмасуға қайта ойната алар еді.
IKEv1 Main Mode: SKEYID шығарып, содан кейін дәлелдеу
Main Mode алты хабарлама орындайды. Бірінші жұп қауіпсіздік ассоциациясын келіседі, екіншісі Diffie-Hellman ашық мәндері мен nonce-ларды алмасады, үшіншісі жаңа ғана орнатылған шифрлау астында сәйкестіктер мен аутентификация хештерін тасымалдайды. RFC 2409 құрылымды анықтайды: алдын ала бөлісілген кілтпен аутентификацияда SKEYID құпиядан және екі nonce-дан, ал кейінгі кілт материалы SKEYID, Diffie-Hellman ортақ мәні, cookie-лар мен константалардан шығарылады.
Бесінші және алтыншы хабарламалардағы хеш Diffie-Hellman мәні, екі cookie, ұсыныс және жіберушінің сәйкестігі бойынша SKEYID кілтімен есептеледі. Алушы оны өзінің бапталған құпиясымен қайта есептейді. Сәйкессіздік алмасуды аяқтайды, ал құпияның өзі ешқашан жүк болмайды.
Aggressive Mode сол жұмысты үш хабарламаға сығады, яғни сәйкестіктер мен аутентификация хеші шифрланған арна пайда болмай тұрып жолға шығады. Бұл болжауға болатын құпия үшін нақты әсер ету, және құпияның жіберілген-жіберілмегені туралы сұрақтан бөлек. IKEv1 RFC 9395 бойынша ескірген, сондықтан ескі із енгізу мақсаты емес, диагностикалық жаттығу.
IKEv2: басқа шығару және басқа AUTH жүгі
IKEv2 IKEv1 кілт кестесін қайта пайдаланбайды. Бастапқы IKE кілттері nonce-лар мен Diffie-Hellman ортақ мәнінен құрылған тұқымнан келеді, ал еншілес қауіпсіздік ассоциациялары одан шығарылады. Алдын ала бөлісілген кілт тұқымға мүлдем кірмейді.
Содан кейін аутентификация AUTH жүгі ретінде көрінеді. Ортақ кілтпен аутентификация үшін RFC 7296 құпияның толтырылған түрін белгілейді, ол құпияны тіркелген жолмен хештеу арқылы алынады Key Pad for IKEv2, содан кейін қол қойылған алмасу деректері мен сәйкестікті сол толтырылған кілтпен хештеу арқылы. Тексеруші сол мәнді қайта құра алады; бақылаушы құпиясыз құра алмайды.
Не өзгергенін байқаңыз. IKEv1-де құпия аутентификация хеші пайда болмай тұрып кілт кестесіне араласады; IKEv2-де кілт кестесі құпиядан тәуелсіз, ал дәлел қол қойылған октеттерге байланған жеке жүк. Сол концептуалдық кепілдік, басқа механизм, сондықтан параметр атаулары мен жазбалар бір-біріне сәйкес келмейді.
Бақылаушы шын мәнінде нені біледі
Diffie-Hellman ашық мәндері, ұсыныстар, nonce-лар мен cookie-лар екі нұсқада да көрінеді. Сәйкестіктер IKEv1 Aggressive Mode-да көрінеді, қалған жағдайларда қорғалған. Құпия ешқашан көрінбейді.
Соңғы сөйлемнің айтуға тұрарлық шегі бар. Адам таңдаған әлсіз құпияны болжау арқылы шабуылдауға болады: шабуылдаушы кандидат құпия үшін аутентификация мәні қандай болар еді деп есептеп, салыстырады. IKEv1 Aggressive Mode мұны ең арзан етеді, өйткені дәлел ашық, ал стандарттар жалпы төмен энтропиялы құпиялар туралы ескертеді. Құпияны ешқашан жібермеу нашар құпияны қауіпсіз етумен бірдей емес.
Бұл салыстырумен не істеу керек
Әр тарап жұбы үшін бір бірегей құпияны пайдаланыңыз, оны кездейсоқ көзден жасаңыз және оны таратқан дайындау жолымен айналдырыңыз. Егер құпия әр филиалға жіберілетін конфигурация үлгісінде сақталса, бір жердегі бұзылу барлық жердегі бұзылу.
Операциялық шығын қолайлы болған жерде сертификатқа негізделген аутентификацияны таңдаңыз, өйткені ол ортақ құпияны болжау мәселесін жояды және әр тарапқа жеке сәйкестік береді. Алдын ала бөлісілген кілт қалатын жерде оны ұзақ ұстаңыз, ауқымын тар шектеңіз және IKE нұсқасын өзара әрекеттесу бөлшегі емес, қауіпсіздік шешімі ретінде қарастырыңыз.